#!/bin/bash

SZD_AD_DNS="/var/packages/DNSServer/target/named/etc/samba/private/dns"
if [[ ! -d ${SZD_AD_DNS} ]]; then
	SZD_AD_DNS="/var/packages/ActiveDirectoryServer/target/private/dns"
	if [[ -d "/var/packages/DirectoryServerForWindowsDomain" ]]; then
	    SZD_AD_DNS="/var/packages/DirectoryServerForWindowsDomain/target/private/dns"
	fi
fi
SZF_AD_SAMLDB="${SZD_AD_DNS}/sam.ldb"

main()
{
	if [[ ! -f ${SZF_AD_SAMLDB} ]]; then
		exit 1
	fi

	/bin/ldbsearch \
		-H "${SZF_AD_SAMLDB}" \
		--cross-ncs \
		'(&(objectclass=dnszone)(!(name=RootDNSServers))(!(name=..TrustAnchors)))' \
		name \
	| awk '/^name:/{print $2}'
}

main
# vim:set noexpandtab:
